import { ReactNode } from 'react';
import type { PageWizardState } from './PageWizardState';
import type { PageWizardParentStep, PageWizardStep } from './types';
export declare const PageWizardContext: import("react").Context<PageWizardState<object>>;
export declare function usePageWizard<DataT extends NonNullable<object> = object>(): PageWizardState<DataT>;
export declare function isStepVisible(step: PageWizardStep, values: object): PageWizardStep | null;
export declare function isPageWizardParentStep(step: PageWizardStep): step is PageWizardParentStep;
export declare function PageWizardProvider<DataT extends NonNullable<object>>(props: {
    children: ReactNode;
    steps: PageWizardStep[];
    stepDefaults?: {
        [stepID: string]: Partial<DataT>;
    };
    onSubmit: (wizardData: DataT) => Promise<void>;
}): import("react/jsx-runtime").JSX.Element;
